Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 12 Jun 2022 18:37:35 +0000

Hi Shahad Albelihed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Return one product https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4488786